Bug 1019239 - shift key sequences sometimes toggle off num lock indicator led but num lock still enabled? [NEEDINFO]
shift key sequences sometimes toggle off num lock indicator led but num lock ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 07:04 EDT by collura
Modified: 2014-12-10 10:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-10 10:01:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description collura 2013-10-15 07:04:11 EDT
Description of problem:

sometime recently the kernels began randomly turning off the number lock indicator light led when certain key sequences were pressed.

the number lock remained enabled but the indicator led shuts off.

only happens sometimes, not sure of cause, seems to be related to shift keys.

maybe just keyboard?  may later close for lack of information if cant get more details.

Version-Release number of selected component (if applicable):

  kernel-3.11.3-201.fc19.x86_64

How reproducible:

  randomly

Steps to Reproduce:
1. type using shift key sometimes
2. sometimes when type a Shifted Character the Light Goes out.
3.

Actual results:

 indicator light goes off randomly but indicated function is still activated

Expected results:

 indicator light should match activation state

Additional info:
  tried on toshiba satellite L355D-S7901 so could be age but seems to have happened on multiple machines.
Comment 1 Justin M. Forbes 2014-01-03 17:09:02 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 2 collura 2014-01-08 01:49:02 EST
kernel-3.12.x havent been booting well for me so dont know yet

but still seeing randomly with fc20 systen running kernel-3.13.0-0.x
Comment 3 collura 2014-01-08 02:12:52 EST
(concerning randomness, actually did just find on an fc19 machine running 
kernel-3.12.6-200.fc19.x86_64 as well)
Comment 4 Justin M. Forbes 2014-02-24 08:58:52 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 5 collura 2014-03-05 00:41:29 EST
still there as of 

   kernel-3.13.5-200.fc20.x86_64
Comment 6 collura 2014-03-20 07:12:35 EDT
still there as of 

   kernel-3.13.6-200.fc20.x86_64
Comment 7 collura 2014-05-08 00:11:27 EDT
still there as of 

   kernel-3.14.2-200.fc20.x86_64
Comment 8 collura 2014-05-13 06:49:05 EDT
still there as of

   kernel-3.15.0-0.rc5.git0.1.fc21.x86_64
Comment 9 Justin M. Forbes 2014-05-21 15:39:34 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 10 collura 2014-05-23 06:32:47 EDT
yes kernel-3.14.4-200.fc20.x86_64 also has it present
Comment 11 collura 2014-06-23 02:42:04 EDT
still there as of 

   kernel-3.16.0-0.rc1.git0.1.fc21.x86_64
Comment 12 collura 2014-07-03 08:48:38 EDT
still there as of

   kernel-3.15.3-200.fc20.x86_64
Comment 13 Justin M. Forbes 2014-11-13 11:01:43 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 14 Justin M. Forbes 2014-12-10 10:01:15 EST
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.